Up

# NSUserNotification documentation

### Authors

Marcus Mueller (`znek@mulle-kybernetik.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2014 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSUserNotification class
2. Software documentation for the NSUserNotificationCenter class
3. Software documentation for the NSObject(NSUserNotificationCenterDelegateMethods) informal protocol
4. Software documentation for the NSUserNotificationCenterDelegate protocol

# Software documentation for the NSUserNotification class

## NSUserNotification : NSObject

> Declared in:
>   Foundation/NSUserNotification.h

> Conforms to:
>   NSCopying

Availability: MacOS-X 10.8.0
Description forthcoming.

Instance Variables
Method summary

- -actionButtonTitle
- -activationType
- -actualDeliveryDate
- -contentImage
- -deliveryDate
- -deliveryRepeatInterval
- -deliveryTimeZone
- -hasActionButton
- -hasReplyButton
- -identifier
- -informativeText
- -isPresented
- -isRemote
- -otherButtonTitle
- -response
- -responsePlaceholder
- -setActionButtonTitle:
- -setContentImage:
- -setDeliveryDate:
- -setDeliveryRepeatInterval:
- -setDeliveryTimeZone:
- -setHasActionButton:
- -setHasReplyButton:
- -setIdentifier:
- -setInformativeText:
- -setOtherButtonTitle:
- -setResponsePlaceholder:
- -setSoundName:
- -setSubtitle:
- -setTitle:
- -setUserInfo:
- -soundName
- -subtitle
- -title
- -userInfo

### actionButtonTitle

- (NSString*) actionButtonTitle;
Getter for property 'actionButtonTitle' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setActionButtonTitle:]

### activationType

- (NSUserNotificationActivationType) activationType;
Getter for property 'activationType' with attributes (readonly, atomic, assign).

### actualDeliveryDate

- (NSDate*) actualDeliveryDate;
Getter for property 'actualDeliveryDate' with attributes (readonly, atomic, assign).

### contentImage

- (NSImage*) contentImage;
Getter for property 'contentImage' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setContentImage:]

### deliveryDate

- (NSDate*) deliveryDate;
Getter for property 'deliveryDate' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setDeliveryDate:]

### deliveryRepeatInterval

- (NSDateComponents*) deliveryRepeatInterval;
Getter for property 'deliveryRepeatInterval' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setDeliveryRepeatInterval:]

### deliveryTimeZone

- (NSTimeZone*) deliveryTimeZone;
Getter for property 'deliveryTimeZone' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setDeliveryTimeZone:]

### hasActionButton

- (BOOL) hasActionButton;
Getter for property 'hasActionButton' with attributes (readwrite, atomic, assign). See also [NSUserNotification -setHasActionButton:]

### hasReplyButton

- (BOOL) hasReplyButton;
Getter for property 'hasReplyButton' with attributes (readwrite, atomic, assign). See also [NSUserNotification -setHasReplyButton:]

### identifier

- (NSString*) identifier;
Getter for property 'identifier' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setIdentifier:]

### informativeText

- (NSString*) informativeText;
Getter for property 'informativeText' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setInformativeText:]

### isPresented

- (BOOL) isPresented;
Getter for property 'presented' with attributes (atomic, readonly, getter, assign).

### isRemote

- (BOOL) isRemote;
Getter for property 'remote' with attributes (atomic, readonly, getter, assign).

### otherButtonTitle

- (NSString*) otherButtonTitle;
Getter for property 'otherButtonTitle' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setOtherButtonTitle:]

### response

- (NSAttributedString*) response;
Getter for property 'response' with attributes (readonly, atomic, assign).

### responsePlaceholder

- (NSString*) responsePlaceholder;
Getter for property 'responsePlaceholder' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setResponsePlaceholder:]

### setActionButtonTitle:

- (void) setActionButtonTitle: (NSString*)actionButtonTitle;
Setter for property 'actionButtonTitle' with attributes (atomic, readwrite, copy). See also [NSUserNotification -actionButtonTitle]

### setContentImage:

- (void) setContentImage: (NSImage*)contentImage;
Setter for property 'contentImage' with attributes (atomic, readwrite, copy). See also [NSUserNotification -contentImage]

### setDeliveryDate:

- (void) setDeliveryDate: (NSDate*)deliveryDate;
Setter for property 'deliveryDate' with attributes (atomic, readwrite, copy). See also [NSUserNotification -deliveryDate]

### setDeliveryRepeatInterval:

- (void) setDeliveryRepeatInterval: (NSDateComponents*)deliveryRepeatInterval;
Setter for property 'deliveryRepeatInterval' with attributes (atomic, readwrite, copy). See also [NSUserNotification -deliveryRepeatInterval]

### setDeliveryTimeZone:

- (void) setDeliveryTimeZone: (NSTimeZone*)deliveryTimeZone;
Setter for property 'deliveryTimeZone' with attributes (atomic, readwrite, copy). See also [NSUserNotification -deliveryTimeZone]

### setHasActionButton:

- (void) setHasActionButton: (BOOL)hasActionButton;
Setter for property 'hasActionButton' with attributes (readwrite, atomic, assign). See also [NSUserNotification -hasActionButton]

### setHasReplyButton:

- (void) setHasReplyButton: (BOOL)hasReplyButton;
Setter for property 'hasReplyButton' with attributes (readwrite, atomic, assign). See also [NSUserNotification -hasReplyButton]

### setIdentifier:

- (void) setIdentifier: (NSString*)identifier;
Setter for property 'identifier' with attributes (atomic, readwrite, copy). See also [NSUserNotification -identifier]

### setInformativeText:

- (void) setInformativeText: (NSString*)informativeText;
Setter for property 'informativeText' with attributes (atomic, readwrite, copy). See also [NSUserNotification -informativeText]

### setOtherButtonTitle:

- (void) setOtherButtonTitle: (NSString*)otherButtonTitle;
Setter for property 'otherButtonTitle' with attributes (atomic, readwrite, copy). See also [NSUserNotification -otherButtonTitle]

### setResponsePlaceholder:

- (void) setResponsePlaceholder: (NSString*)responsePlaceholder;
Setter for property 'responsePlaceholder' with attributes (atomic, readwrite, copy). See also [NSUserNotification -responsePlaceholder]

### setSoundName:

- (void) setSoundName: (NSString*)soundName;
Setter for property 'soundName' with attributes (atomic, readwrite, copy). See also [NSUserNotification -soundName]

### setSubtitle:

- (void) setSubtitle: (NSString*)subtitle;
Setter for property 'subtitle' with attributes (atomic, readwrite, copy). See also [NSUserNotification -subtitle]

### setTitle:

- (void) setTitle: (NSString*)title;
Setter for property 'title' with attributes (atomic, readwrite, copy). See also [NSUserNotification -title]

### setUserInfo:

- (void) setUserInfo: (NSDictionary*)userInfo;
Setter for property 'userInfo' with attributes (atomic, readwrite, copy). See also [NSUserNotification -userInfo]

### soundName

- (NSString*) soundName;
Getter for property 'soundName' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setSoundName:]

### subtitle

- (NSString*) subtitle;
Getter for property 'subtitle' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setSubtitle:]

### title

- (NSString*) title;
Getter for property 'title' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setTitle:]

### userInfo

- (NSDictionary*) userInfo;
Getter for property 'userInfo' with attributes (atomic, readwrite, copy). See also [NSUserNotification -setUserInfo:]

## Instance Variables for NSUserNotification Class

### _uniqueId

@public id _uniqueId;
Availability: MacOS-X 10.8.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### actionButtonTitle

@protected NSString* actionButtonTitle;
Availability: MacOS-X 10.8.0
Description forthcoming.

### activationType

@protected NSUserNotificationActivationType activationType;
Availability: MacOS-X 10.8.0
Description forthcoming.

### actualDeliveryDate

@protected NSDate* actualDeliveryDate;
Availability: MacOS-X 10.8.0
Description forthcoming.

### contentImage

@protected NSImage* contentImage;
Availability: MacOS-X 10.9.0
Description forthcoming.

### deliveryDate

@protected NSDate* deliveryDate;
Availability: MacOS-X 10.8.0
Description forthcoming.

### deliveryRepeatInterval

@protected NSDateComponents* deliveryRepeatInterval;
Availability: MacOS-X 10.8.0
Description forthcoming.

### deliveryTimeZone

@protected NSTimeZone* deliveryTimeZone;
Availability: MacOS-X 10.8.0
Description forthcoming.

### hasActionButton

@protected BOOL hasActionButton;
Availability: MacOS-X 10.8.0
Description forthcoming.

### hasReplyButton

@protected BOOL hasReplyButton;
Availability: MacOS-X 10.9.0
Description forthcoming.

### identifier

@protected NSString* identifier;
Availability: MacOS-X 10.9.0
Description forthcoming.

### informativeText

@protected NSString* informativeText;
Availability: MacOS-X 10.8.0
Description forthcoming.

### otherButtonTitle

@protected NSString* otherButtonTitle;
Availability: MacOS-X 10.8.0
Description forthcoming.

### presented

@protected BOOL presented;
Availability: MacOS-X 10.8.0
Description forthcoming.

### remote

@protected BOOL remote;
Availability: MacOS-X 10.8.0
Description forthcoming.

### response

@protected NSAttributedString* response;
Availability: MacOS-X 10.9.0
Description forthcoming.

### responsePlaceholder

@protected NSString* responsePlaceholder;
Availability: MacOS-X 10.9.0
Description forthcoming.

### soundName

@protected NSString* soundName;
Availability: MacOS-X 10.8.0
Description forthcoming.

### subtitle

@protected NSString* subtitle;
Availability: MacOS-X 10.8.0
Description forthcoming.

### title

@protected NSString* title;
Availability: MacOS-X 10.8.0
Description forthcoming.

### userInfo

@protected NSDictionary* userInfo;
Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSUserNotificationCenter class

## NSUserNotificationCenter : NSObject

> Declared in:
>   Foundation/NSUserNotification.h

Availability: MacOS-X 10.8.0
Description forthcoming.

Instance Variables
Method summary

- +defaultUserNotificationCenter
- -delegate
- -deliverNotification:
- -deliveredNotifications
- -removeAllDeliveredNotifications
- -removeDeliveredNotification:
- -removeScheduledNotification:
- -scheduleNotification:
- -scheduledNotifications
- -setDelegate:
- -setScheduledNotifications:

### defaultUserNotificationCenter

+ (NSUserNotificationCenter*) defaultUserNotificationCenter;
Availability: MacOS-X 10.8.0
Description forthcoming.

### delegate

- (id<NSUserNotificationCenterDelegate>) delegate;
Getter for property 'delegate' with attributes (atomic, readwrite, assign). See also [NSUserNotificationCenter -setDelegate:]

### deliverNotification:

- (void) deliverNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

### deliveredNotifications

- (NSArray*) deliveredNotifications;
Getter for property 'deliveredNotifications' with attributes (readonly, atomic, assign).

### removeAllDeliveredNotifications

- (void) removeAllDeliveredNotifications;
Availability: MacOS-X 10.8.0
Description forthcoming.

### removeDeliveredNotification:

- (void) removeDeliveredNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

### removeScheduledNotification:

- (void) removeScheduledNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

### scheduleNotification:

- (void) scheduleNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

### scheduledNotifications

- (NSArray*) scheduledNotifications;
Getter for property 'scheduledNotifications' with attributes (atomic, readwrite, copy). See also [NSUserNotificationCenter -setScheduledNotifications:]

### setDelegate:

- (void) setDelegate: (id<NSUserNotificationCenterDelegate>)delegate;
Setter for property 'delegate' with attributes (atomic, readwrite, assign). See also [NSUserNotificationCenter -delegate]

### setScheduledNotifications:

- (void) setScheduledNotifications: (NSArray*)scheduledNotifications;
Setter for property 'scheduledNotifications' with attributes (atomic, readwrite, copy). See also [NSUserNotificationCenter -scheduledNotifications]

## Instance Variables for NSUserNotificationCenter Class

### _deliveredNotifications

@protected NSMutableArray* _deliveredNotifications;
Availability: MacOS-X 10.8.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _scheduledNotifications

@protected NSMutableArray* _scheduledNotifications;
Availability: MacOS-X 10.8.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### delegate

@protected id<NSUserNotificationCenterDelegate> delegate;
Availability: MacOS-X 10.8.0
Description forthcoming.

### deliveredNotifications

@protected NSArray* deliveredNotifications;
Availability: MacOS-X 10.8.0
Description forthcoming.

### scheduledNotifications

@protected NSArray* scheduledNotifications;
Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSObject(NSUserNotificationCenterDelegateMethods) informal protocol

## NSObject(NSUserNotificationCenterDelegateMethods)

> Declared in:
>   Foundation/NSUserNotification.h

Availability: MacOS-X 10.8.0
Description forthcoming.
Method summary

- -userNotificationCenter:didActivateNotification:
- -userNotificationCenter:didDeliverNotification:
- -userNotificationCenter:shouldPresentNotification:

### userNotificationCenter: didActivateNotification:

- (void) userNotificationCenter: (NSUserNotificationCenter*)center didActivateNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

### userNotificationCenter: didDeliverNotification:

- (void) userNotificationCenter: (NSUserNotificationCenter*)center didDeliverNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

### userNotificationCenter: shouldPresentNotification:

- (BOOL) userNotificationCenter: (NSUserNotificationCenter*)center shouldPresentNotification: (NSUserNotification*)notification;
Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSUserNotificationCenterDelegate protocol

## NSUserNotificationCenterDelegate

> Declared in:
>   Foundation/NSUserNotification.h

> Conforms to:
>   NSObject

Availability: MacOS-X 10.8.0
Description forthcoming.
Up